Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class KeyManager

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.KeyManager

public class KeyManager
extends java.lang.Object

This class manages the key tables.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`KeyManager()`

Method Summary
`LocPathIterator` | `getNodeSetDTMByKey(XPathContext xctxt, int doc, QName name, XMLString ref, PrefixResolver nscontext)` Given a valid element key, return the corresponding node list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyManager

    public KeyManager()

Method Detail

### getNodeSetDTMByKey

    public LocPathIterator getNodeSetDTMByKey(XPathContext xctxt,
                                              int doc,
                                              QName name,
                                              XMLString ref,
                                              PrefixResolver nscontext)
                                       throws javax.xml.transform.TransformerException

  Given a valid element key, return the corresponding node list.

  Parameters:
    `xctxt` - The XPath runtime state
    `doc` - The document node
    `name` - The key element name
    `ref` - The key value we're looking for
    `nscontext` - The prefix resolver for the execution context
  Returns:
    A nodelist of nodes mathing the given key
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference